Scriptname teasLevelUp extends Quest  

GlobalVariable property teasStrengthInc auto
GlobalVariable property teasEnduranceInc auto
GlobalVariable property teasIntelligenceInc auto
GlobalVariable property teasWillpowerInc auto
GlobalVariable property teasAgilityInc auto
GlobalVariable property teasSpeedInc auto
GlobalVariable property teasPersonalityInc auto
GlobalVariable property teasStrengthIncNow auto
GlobalVariable property teasEnduranceIncNow auto
GlobalVariable property teasIntelligenceIncNow auto
GlobalVariable property teasWillpowerIncNow auto
GlobalVariable property teasAgilityIncNow auto
GlobalVariable property teasSpeedIncNow auto
GlobalVariable property teasPersonalityIncNow auto
GlobalVariable property teasStrengthUp auto
GlobalVariable property teasEnduranceUp auto
GlobalVariable property teasIntelligenceUp auto
GlobalVariable property teasWillpowerUp auto
GlobalVariable property teasAgilityUp auto
GlobalVariable property teasSpeedUp auto
GlobalVariable property teasPersonalityUp auto
GlobalVariable property teasLuckUp auto
GlobalVariable property teasSpellCrit auto
GlobalVariable property SpecialLootChance auto
GlobalVariable property teasLastLevel auto
message property box1 auto
message property box2 auto
message property box3 auto
message property strbox auto
message property endbox auto
message property itlbox auto
message property wipbox auto
message property agibox auto
message property spdbox auto
message property perbox auto
message property lukbox auto
message property teasStrengthIncMsg auto
message property teasEnduranceIncMsg auto
message property teasIntelligenceIncMsg auto
message property teasWillpowerIncMsg auto
message property teasAgilityIncMsg auto
message property teasSpeedIncMsg auto
message property teasPersonalityIncMsg auto
message property teasLuckIncMsg auto
Perk property TreasureHunter auto
int strinc = 1
int endinc = 1
int itlinc = 1
int wipinc = 1
int agiinc = 1
int spdinc = 1
int perinc = 1

Function HighestAtt(int strglobal, int endglobal, int itlglobal, int wipglobal, int agiglobal, int spdglobal, int perglobal)
	int x = 8
	while (x > 0)
		x -= 1
		if strglobal == x
			strinc += 1
			x = 0
		elseif endglobal == x
			endinc += 1
			x = 0
		elseif itlglobal == x
			itlinc += 1
			x = 0
		elseif wipglobal == x
			wipinc += 1
			x = 0
		elseif agiglobal == x
			agiinc += 1
			x = 0
		elseif spdglobal == x
			spdinc += 1
			x = 0
		elseif perglobal == x
			perinc += 1
			x = 0
		endif
	endwhile
endFunction

Function AddAttribute(int strglobal, int endglobal, int itlglobal, int wipglobal, int agiglobal, int spdglobal, int perglobal, message boxnum)
	;Debug.MessageBox(strglobal + ", " + endglobal + ", " + itlglobal + ", " + wipglobal + ", " + agiglobal + ", " + spdglobal + ", " + perglobal)
	actor player = Game.GetPlayer()
	int str = player.GetBaseAV("FavorActive") as int
	int end = player.GetBaseAV("FavorsPerDay") as int
	int itl = player.GetBaseAV("FavorsPerDayTimer") as int
	int wip = player.GetBaseAV("IgnoreCrippledLimbs") as int
	int agi = player.GetBaseAV("LastBribedIntimidated") as int
	int spd = player.GetBaseAV("LastFlattered") as int
	int per = player.GetBaseAV("Fame") as int
	int luk = player.GetBaseAV("Infamy") as int
	strinc = 1
	endinc = 1
	itlinc = 1
	wipinc = 1
	agiinc = 1
	spdinc = 1
	perinc = 1
	HighestAtt(strglobal, endglobal, itlglobal, wipglobal, agiglobal, spdglobal, perglobal)
	if strglobal >= 1
		strinc += 1
	endif
	if endglobal >= 1
		endinc += 1
	endif
	if itlglobal >= 1
		itlinc += 1
	endif
	if wipglobal >= 1
		wipinc += 1
	endif
	if agiglobal >= 1
		agiinc += 1
	endif
	if spdglobal >= 1
		spdinc += 1
	endif
	if perglobal >= 1
		perinc += 1
	endif
	teasStrengthIncNow.SetValue(strinc)
	teasEnduranceIncNow.SetValue(endinc)
	teasIntelligenceIncNow.SetValue(itlinc)
	teasWillpowerIncNow.SetValue(wipinc)
	teasAgilityIncNow.SetValue(agiinc)
	teasSpeedIncNow.SetValue(spdinc)
	teasPersonalityIncNow.SetValue(perinc)
	UpdateCurrentInstanceGlobal(teasStrengthIncNow)
	UpdateCurrentInstanceGlobal(teasEnduranceIncNow)
	UpdateCurrentInstanceGlobal(teasIntelligenceIncNow)
	UpdateCurrentInstanceGlobal(teasWillpowerIncNow)
	UpdateCurrentInstanceGlobal(teasAgilityIncNow)
	UpdateCurrentInstanceGlobal(teasSpeedIncNow)
	UpdateCurrentInstanceGlobal(teasPersonalityIncNow)
	int select = boxnum.Show()
	if select == 0
		if str < 100
			player.SetAV("FavorActive", strinc + str)
			teasStrengthIncMsg.show()
			teasStrengthUp.SetValue(1)
		else
			int stopselect = strbox.Show()
			if stopselect == 0
				AddAttribute(strglobal, endglobal, itlglobal, wipglobal, agiglobal, spdglobal, perglobal, boxnum)
			endif
		endif
	elseif select == 1
		if end < 100
			player.SetAV("FavorsPerDay", endinc + end)
			teasEnduranceIncMsg.show()
			teasEnduranceUp.SetValue(1)
		else
			int stopselect = endbox.Show()
			if stopselect == 0
				AddAttribute(strglobal, endglobal, itlglobal, wipglobal, agiglobal, spdglobal, perglobal, boxnum)
			endif
		endif
	elseif select == 2
		if itl < 100
			player.SetAV("FavorsPerDayTimer", itlinc + itl)
			teasIntelligenceIncMsg.show()
			teasIntelligenceUp.SetValue(1)
		else
			int stopselect = itlbox.Show()
			if stopselect == 0
				AddAttribute(strglobal, endglobal, itlglobal, wipglobal, agiglobal, spdglobal, perglobal, boxnum)
			endif
		endif
	elseif select == 3
		if wip < 100
			player.SetAV("IgnoreCrippledLimbs", wipinc + wip)
			teasWillpowerIncMsg.show()
			teasWillpowerUp.SetValue(1)
		else
			int stopselect = wipbox.Show()
			if stopselect == 0
				AddAttribute(strglobal, endglobal, itlglobal, wipglobal, agiglobal, spdglobal, perglobal, boxnum)
			endif
		endif
	elseif select == 4
		if agi < 100
			player.SetAV("LastBribedIntimidated", agiinc + agi)
			teasAgilityIncMsg.show()
			teasAgilityUp.SetValue(1)
		else
			int stopselect = agibox.Show()
			if stopselect == 0
				AddAttribute(strglobal, endglobal, itlglobal, wipglobal, agiglobal, spdglobal, perglobal, boxnum)
			endif
		endif
	elseif select == 5
		if spd < 100
			player.SetAV("LastFlattered", spdinc + spd)
			teasSpeedIncMsg.show()
			teasSpeedUp.SetValue(1)
		else
			int stopselect = spdbox.Show()
			if stopselect == 0
				AddAttribute(strglobal, endglobal, itlglobal, wipglobal, agiglobal, spdglobal, perglobal, boxnum)
			endif
		endif
	elseif select == 6
		if per < 100
			player.SetAV("Fame", perinc + per)
			teasPersonalityIncMsg.show()
			teasPersonalityUp.SetValue(1)
		else
			int stopselect = perbox.Show()
			if stopselect == 0
				AddAttribute(strglobal, endglobal, itlglobal, wipglobal, agiglobal, spdglobal, perglobal, boxnum)
			endif
		endif
	elseif select == 7
		if luk < 100
			player.SetAV("Infamy", 1 + luk)
			teasLuckIncMsg.show()
			teasLuckUp.SetValue(1)
		else
			int stopselect = lukbox.Show()
			if stopselect == 0
				AddAttribute(strglobal, endglobal, itlglobal, wipglobal, agiglobal, spdglobal, perglobal, boxnum)
			endif
		endif
	endif
EndFunction

Function LevelMenu()
	actor player = Game.getPlayer()
	int lastlvl = teasLastLevel.GetValue() as int
	int lvl = player.GetLevel() as int
	while (lvl > lastlvl)
		lastlvl += 1
		int strglobal = teasStrengthInc.GetValue() as int
		int endglobal = teasEnduranceInc.GetValue() as int
		int itlglobal = teasIntelligenceInc.GetValue() as int
		int wipglobal = teasWillpowerInc.GetValue() as int
		int agiglobal = teasAgilityInc.GetValue() as int
		int spdglobal = teasSpeedInc.GetValue() as int
		int perglobal = teasPersonalityInc.GetValue() as int	
		teasLastLevel.SetValue(lastlvl)
		UpdateCurrentInstanceGlobal(teasLastLevel)
		AddAttribute(strglobal, endglobal, itlglobal, wipglobal, agiglobal, spdglobal, perglobal, box1)
		AddAttribute(strglobal, endglobal, itlglobal, wipglobal, agiglobal, spdglobal, perglobal, box2)
		AddAttribute(strglobal, endglobal, itlglobal, wipglobal, agiglobal, spdglobal, perglobal, box3)
		if player.GetBaseAV("FavorActive") > 100
			player.SetAV("FavorActive", 100)
		endif
		if player.GetBaseAV("FavorsPerDay") > 100
			player.SetAV("FavorsPerDay", 100)
		endif
		if player.GetBaseAV("FavorsPerDayTimer") > 100
			player.SetAV("FavorsPerDayTimer", 100)
		endif
		if player.GetBaseAV("IgnoreCrippledLimbs") > 100
			player.SetAV("IgnoreCrippledLimbs", 100)
		endif
		if player.GetBaseAV("LastBribedIntimidated") > 100
			player.SetAV("LastBribedIntimidated", 100)
		endif
		if player.GetBaseAV("LastFlattered") > 100
			player.SetAV("LastFlattered", 100)
		endif
		if player.GetBaseAV("Fame") > 100
			player.SetAV("Fame", 100)
		endif
		if player.GetBaseAV("Infamy") > 100
			player.SetAV("Infamy", 100)
		endif	
	teasStrengthUp.SetValue(0)
	teasEnduranceUp.SetValue(0)
	teasIntelligenceUp.SetValue(0)
	teasWillpowerUp.SetValue(0)
	teasAgilityUp.SetValue(0)
	teasSpeedUp.SetValue(0)
	teasPersonalityUp.SetValue(0)
	teasLuckUp.SetValue(0)
	endWhile
EndFunction

Event OnStoryIncreaseLevel(int aiNewLevel)
	LevelMenu()
	actor player = Game.getPlayer() 
	teasUpdateAttributes.UpdateAttributes()
	teasSpellCrit.SetValue(player.GetAV("LastBribedIntimidated") * 0.25)
	if player.HasPerk(TreasureHunter)
		SpecialLootChance.SetValue(90 - player.GetAV("Infamy") * 0.2)
	else
		SpecialLootChance.SetValue(95 - player.GetAV("Infamy") * 0.2)
	endif
	teasStrengthInc.SetValue(0)
	teasEnduranceInc.SetValue(0)
	teasIntelligenceInc.SetValue(0)
	teasWillpowerInc.SetValue(0)
	teasAgilityInc.SetValue(0)
	teasSpeedInc.SetValue(0)
	teasPersonalityInc.SetValue(0)
	teasLastLevel.SetValue(player.GetLevel())
	self.stop()
endEvent