Scriptname teasShowAttributes extends activemagiceffect  

Quest property teasMenuQuest auto
GlobalVariable property teasStrengthShow auto
GlobalVariable property teasEnduranceShow auto
GlobalVariable property teasIntelligenceShow auto
GlobalVariable property teasWillpowerShow auto
GlobalVariable property teasAgilityShow auto
GlobalVariable property teasSpeedShow auto
GlobalVariable property teasPersonalityShow auto
GlobalVariable property teasLuckShow auto
GlobalVariable property teasUnarmedDamage auto
GlobalVariable property teasRunSpeed auto
GlobalVariable property teasAttackspeed auto
GlobalVariable property teasDodge auto
GlobalVariable property teasSpellCost auto
GlobalVariable property teasMagicResist auto
GlobalVariable property teasCritDmg auto
GlobalVariable property teasCritChance auto
message property teasAttributeMenu00 auto
message property teasAttributeMenu01 auto
message property teasAttributeInfo00 auto
message property teasAttributeInfo01 auto
message property teasAttributeInfo02 auto
message property teasAttributeInfo03 auto

Event OnEffectStart(actor akTarget, actor akCaster)
	actor player = Game.GetPlayer()
	int str = player.GetAV("FavorActive") as int
	int end = player.GetAV("FavorsPerDay") as int
	int itl = player.GetAV("FavorsPerDayTimer") as int
	int wip = player.GetAV("IgnoreCrippledLimbs") as int
	int agi = player.GetAV("LastBribedIntimidated") as int
	int spd = player.GetAV("LastFlattered") as int
	int per = player.GetAV("Fame") as int
	int luk = player.GetAV("Infamy") as int
	teasStrengthShow.SetValue(str)
	teasEnduranceShow.SetValue(end)
	teasIntelligenceShow.SetValue(itl)
	teasWillpowerShow.SetValue(wip)
	teasAgilityShow.SetValue(agi)
	teasSpeedShow.SetValue(spd)
	teasPersonalityShow.SetValue(per)
	teasLuckShow.SetValue(luk)
	teasUnarmedDamage.SetValue(player.GetAV("UnarmedDamage"))
	teasRunSpeed.SetValue(player.GetAV("SpeedMult"))
	teasAttackspeed.SetValue(player.GetAV("WeaponSpeedMult") * 100)
	if player.GetAV("FavorsPerDayTimer") <= 90
		teasSpellCost.SetValue(100 - player.GetAV("FavorsPerDayTimer"))
	else
		teasSpellCost.SetValue(10)
	endif
	teasMagicResist.SetValue(player.GetAV("MagicResist"))
	teasCritDmg.SetValue(100 + player.GetAV("IgnoreCrippledLimbs"))
	teasCritChance.SetValue(player.GetAV("LastBribedIntimidated") * 0.25)
	teasMenuQuest.UpdateCurrentInstanceGlobal(teasStrengthShow)
	teasMenuQuest.UpdateCurrentInstanceGlobal(teasEnduranceShow)
	teasMenuQuest.UpdateCurrentInstanceGlobal(teasIntelligenceShow)
	teasMenuQuest.UpdateCurrentInstanceGlobal(teasWillpowerShow)
	teasMenuQuest.UpdateCurrentInstanceGlobal(teasAgilityShow)
	teasMenuQuest.UpdateCurrentInstanceGlobal(teasSpeedShow)
	teasMenuQuest.UpdateCurrentInstanceGlobal(teasPersonalityShow)
	teasMenuQuest.UpdateCurrentInstanceGlobal(teasLuckShow)
	teasMenuQuest.UpdateCurrentInstanceGlobal(teasUnarmedDamage)
	teasMenuQuest.UpdateCurrentInstanceGlobal(teasRunSpeed)
	teasMenuQuest.UpdateCurrentInstanceGlobal(teasAttackspeed)
	teasMenuQuest.UpdateCurrentInstanceGlobal(teasDodge)
	teasMenuQuest.UpdateCurrentInstanceGlobal(teasSpellCost)
	teasMenuQuest.UpdateCurrentInstanceGlobal(teasMagicResist)
	teasMenuQuest.UpdateCurrentInstanceGlobal(teasCritDmg)
	teasMenuQuest.UpdateCurrentInstanceGlobal(teasCritChance)
	int select1 = teasAttributeMenu00.Show()
	if select1 == 1
		int info00 = teasAttributeInfo00.Show()
		if info00 == 0
			int info01 = teasAttributeInfo01.Show()
			if info01 == 0
				int info02 = teasAttributeInfo02.Show()
				if info02 == 0
					teasAttributeInfo03.Show()
				endif
			endif
		endif
	elseif select1 == 2
		teasAttributeMenu01.Show()
	endif
endEvent