Scriptname teasSprintingLevel extends activemagiceffect  

Quest property teasAthleticsQuest auto
GlobalVariable property teasAthletics auto
GlobalVariable property teasAthleticsAdvance auto
GlobalVariable property teasSpeedInc auto
message property teasAthleticsMsg auto
float timestart
float timestop
float total

event OnEffectStart(actor akTarget, actor akCaster)
	timestart = Utility.GetCurrentRealTime()
endEvent

event OnEffectFinish(actor akTarget, actor akCaster)
	timestop = Utility.GetCurrentRealTime()
	float currentadv = teasAthleticsAdvance.GetValue() as float
	int athletics = teasAthletics.GetValue() as int
	total = timestop - timestart + currentadv
	if total > (athletics * 18)
		total -= athletics * 18
		teasAthletics.SetValue(athletics + 1)
		teasAthleticsQuest.UpdateCurrentInstanceGlobal(teasAthletics)
		teasSpeedInc.SetValue(teasSpeedInc.GetValue() + 1)
		teasAthleticsMsg.show()
	endif
	teasAthleticsAdvance.SetValue(total)
endEvent